列出 mdmWindowsInformationProtectionPolicies
命名空间:microsoft.graph
注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证。
列出 mdmWindowsInformationProtectionPolicy 对象的属性和关系。
先决条件
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | DeviceManagementApps.Read.All、DeviceManagementApps.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | DeviceManagementApps.Read.All、DeviceManagementApps.ReadWrite.All |
HTTP 请求
GET /deviceAppManagement/mdmWindowsInformationProtectionPolicies
请求标头
| 标头 | 值 |
|---|---|
| Authorization | Bearer <token>。必需。 |
| 接受 | application/json |
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应正文中返回 200 OK 响应代码和 mdmWindowsInformationProtectionPolicy 对象集合。
示例
请求
下面是一个请求示例。
GET https://graph.microsoft.com/v1.0/deviceAppManagement/mdmWindowsInformationProtectionPolicies
响应
下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 4610
{
"value": [
{
"@odata.type": "#microsoft.graph.mdmWindowsInformationProtectionPolicy",
"displayName": "Display Name value",
"description": "Description value",
"createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
"lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
"id": "8efb0c35-0c35-8efb-350c-fb8e350cfb8e",
"version": "Version value",
"enforcementLevel": "encryptAndAuditOnly",
"enterpriseDomain": "Enterprise Domain value",
"enterpriseProtectedDomainNames": [
{
"@odata.type": "microsoft.graph.windowsInformationProtectionResourceCollection",
"displayName": "Display Name value",
"resources": [
"Resources value"
]
}
],
"protectionUnderLockConfigRequired": true,
"dataRecoveryCertificate": {
"@odata.type": "microsoft.graph.windowsInformationProtectionDataRecoveryCertificate",
"subjectName": "Subject Name value",
"description": "Description value",
"expirationDateTime": "2016-12-31T23:57:57.2481234-08:00",
"certificate": "Y2VydGlmaWNhdGU="
},
"revokeOnUnenrollDisabled": true,
"rightsManagementServicesTemplateId": "abf7b16f-b16f-abf7-6fb1-f7ab6fb1f7ab",
"azureRightsManagementServicesAllowed": true,
"iconsVisible": true,
"protectedApps": [
{
"@odata.type": "microsoft.graph.windowsInformationProtectionStoreApp",
"displayName": "Display Name value",
"description": "Description value",
"publisherName": "Publisher Name value",
"productName": "Product Name value",
"denied": true
}
],
"exemptApps": [
{
"@odata.type": "microsoft.graph.windowsInformationProtectionStoreApp",
"displayName": "Display Name value",
"description": "Description value",
"publisherName": "Publisher Name value",
"productName": "Product Name value",
"denied": true
}
],
"enterpriseNetworkDomainNames": [
{
"@odata.type": "microsoft.graph.windowsInformationProtectionResourceCollection",
"displayName": "Display Name value",
"resources": [
"Resources value"
]
}
],
"enterpriseProxiedDomains": [
{
"@odata.type": "microsoft.graph.windowsInformationProtectionProxiedDomainCollection",
"displayName": "Display Name value",
"proxiedDomains": [
{
"@odata.type": "microsoft.graph.proxiedDomain",
"ipAddressOrFQDN": "Ip Address Or FQDN value",
"proxy": "Proxy value"
}
]
}
],
"enterpriseIPRanges": [
{
"@odata.type": "microsoft.graph.windowsInformationProtectionIPRangeCollection",
"displayName": "Display Name value",
"ranges": [
{
"@odata.type": "microsoft.graph.iPv6Range",
"lowerAddress": "Lower Address value",
"upperAddress": "Upper Address value"
}
]
}
],
"enterpriseIPRangesAreAuthoritative": true,
"enterpriseProxyServers": [
{
"@odata.type": "microsoft.graph.windowsInformationProtectionResourceCollection",
"displayName": "Display Name value",
"resources": [
"Resources value"
]
}
],
"enterpriseInternalProxyServers": [
{
"@odata.type": "microsoft.graph.windowsInformationProtectionResourceCollection",
"displayName": "Display Name value",
"resources": [
"Resources value"
]
}
],
"enterpriseProxyServersAreAuthoritative": true,
"neutralDomainResources": [
{
"@odata.type": "microsoft.graph.windowsInformationProtectionResourceCollection",
"displayName": "Display Name value",
"resources": [
"Resources value"
]
}
],
"indexingEncryptedStoresOrItemsBlocked": true,
"smbAutoEncryptedFileExtensions": [
{
"@odata.type": "microsoft.graph.windowsInformationProtectionResourceCollection",
"displayName": "Display Name value",
"resources": [
"Resources value"
]
}
],
"isAssigned": true
}
]
}
反馈
提交和查看相关反馈